function Create(self)
    self.LTimer = Timer();
	self.target = nil;
	self.Team = AAMTeam;
	AAMTeam = nil;
	self.MyTeam = self.Team
	self.Vel.X = 0;
	self.Vel.Y = -10;
end


function Update(self)
	--if self.LTimer:IsPastSimMS(10) and not self.LTimer:IsPastSimMS(11) then
	--end
    if self.LTimer:IsPastSimMS(200) then
	--Get a target.  Go for the closest actor within 500 pixels.
	if MovableMan:IsActor(self.target) == false then
	    local curdist = 5000;
	    for actor in MovableMan.Actors do
		local avgx = actor.Pos.X - self.Pos.X;
		local avgy = actor.Pos.Y - self.Pos.Y;
		local dist = math.sqrt(avgx ^ 2 + avgy ^ 2);
		if dist < curdist and actor.Team ~= self.Team and (actor.ClassName == "ACRocket" or actor.ClassName == "ACDropShip") then
		    curdist = dist;
		    self.target = actor;
		end
	    end
	end
	--If the target still exists...
	if MovableMan:IsActor(self.target) then
	    --The direction from the center of the missile to the target + adding a velocity factor, so the missile won't miss a moving target and start orbiting it.
	    local fact = 15;
		local targetdir = math.atan2(-((self.target.Pos.Y + self.target.Vel.Y * fact)-self.Pos.Y),((self.target.Pos.X + self.target.Vel.X * fact)-self.Pos.X));

	    --Gradually angle the missile toward its target.
		if targetdir ~= self.RotAngle then
		self.RotAngle = targetdir;
	    end

	    --Make sure the missile's thruster is firing.
	    if self:IsEmitting() == false then
	        self:EnableEmission(true);
	    end
	else
	    --If there's no target, shut off the thrusters.
	    if self.LTimer:IsPastSimMS(200) then
	        self:GibThis();
	    end
	end
    end
end

function Destroy(self)
	RocketOnWay[self.MyTeam] = RocketOnWay[self.MyTeam] - 1;
end
